.auth-container {
    display: flex;
    justify-content: center;
    align-items: center;
    @media (max-width: 768px) {
        margin-top: 25px;
    }
}

.auth-form {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    background-color: white;
    align-items: center;
    justify-content: center;
    width: 500px;
    max-width: 80%;
    padding: 30px;
    border-radius: 20px;
    box-shadow: 5px 5px black;
    font-size: 30px;
    @media (max-width: 400px) {
        max-width: 70%;
    }
}

.auth-input-container {
    display: flex;
    flex-direction: column-reverse;
    width: 90%;
    margin-bottom: 25px;
}

.auth-input {
    text-indent: 5px;
    font-size: 25px;
    font-family: 'comic_bookregular';
    border: 4px solid rgb(22, 22, 22);
    outline: none;
    padding: 10px 20px;
    box-shadow: 5px 5px black;
    border-radius: 20px;
    transition: all ease-in-out .3s;
    &:focus {
        box-shadow: 5px 5px red;
        border-color: red;
    }
    &:focus + .auth-label {
        color: red;
    }
    @media (max-width: 768px) {
        font-size: 16px;
    }
}

.auth-label  {
    user-select: none;
    cursor: pointer;
    transition: all ease-in-out .3s;
    @media (max-width: 768px) {
        text-align: center;
        font-size: 25px;
    }
}

.auth-submit {
    justify-self: flex-end;
    font-family: inherit;
    font-size: inherit;
    cursor: pointer;
    user-select: none;
    background-color: red;
    border: 3px solid black;
    box-shadow: 5px 5px black;
    color: white;
    padding: 10px;
    transition: all ease-in-out .3s;
    outline: none;
    border-radius: 5px;
    margin-top: 45px;
    &:hover {
        transform: scale(1.2);
    }
    &:focus {
        transform: scale(1.2);
    }
}

.auth-error {
    color: red;
    font-family: 'comic_bookregular';
    height: 30px;
    font-size: 25px;
    text-align: center;
    @media (max-width: 400px) {
        font-size: 20px;
    }
}

.error-animation {
    opacity: 1;
    animation: opacityFadeIn 3s 1;
}
